Author Topic: ubuntu Breezy compile error (SVN)  (Read 9388 times)

Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2303
ubuntu Breezy compile error (SVN)
« on: January 14, 2007, 09:34:28 pm »
Recently (the last number of svn updates) I've been getting a compile error in sc_dialog.cpp line 76

Code
wxXmlResource::Get()->Unload(actual);

It says there is no such member as Unload.

My wx-config results are:
Code
[email protected]:~/devel/trunk/src$ wx-config --libs
-pthread   -lwx_gtk2u_xrc-2.6 -lwx_gtk2u_qa-2.6 -lwx_gtk2u_html-2.6 -lwx_gtk2u_adv-2.6 -lwx_gtk2u_core-2.6 -lwx_baseu_xml-2.6 -lwx_baseu_net-2.6 -lwx_baseu-2.6

[email protected]:~/devel/trunk/src$ wx-config --cflags
-I/usr/lib/wx/include/gtk2-unicode-release-2.6 -I/usr/include/wx-2.6 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DNO_GCC_PRAGMA


Any suggestions?
« Last Edit: January 14, 2007, 09:37:03 pm by Pecan »

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7176
    • My Best Post
Re: ubuntu Breezy compile error (SVN)
« Reply #1 on: January 14, 2007, 09:36:33 pm »
Recently (the last number of svn updates) I've been getting a compile error in sc_dialog.cpp line 76

Code
wxXmlResource::Get()->Unload(actual);


If it is a 64 bit version of the OS then it is a known problem.

See
http://forums.codeblocks.org/index.php?topic=4930.msg38515#msg38515
Tim S
« Last Edit: January 14, 2007, 09:42:31 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2303
Re: ubuntu Breezy compile error (SVN)
« Reply #2 on: January 14, 2007, 10:17:05 pm »
Recently (the last number of svn updates) I've been getting a compile error in sc_dialog.cpp line 76

Code
wxXmlResource::Get()->Unload(actual);


If it is a 64 bit version of the OS then it is a known problem.

See
http://forums.codeblocks.org/index.php?topic=4930.msg38515#msg38515
Tim S

No, not 64 bit. It's the same old 300mhz 32bit Dell laptop I've been using with Ubuntu Breezy for 1.5 years now.

This error appeared in the last month.

Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2303
Re: ubuntu Breezy compile error (SVN)
« Reply #3 on: January 14, 2007, 10:19:46 pm »
RE: recent svn compilations on Ubuntu Breezy

Where does the -include sdk.h on the compiler command come from.

When -include sdk.h occurs in the command line, and the source file also contains #include sdk.h I get a fdopen err and the compilation fails.

I cannot find "-include sdk.h" in the .cbp file. Where can I turn it off?

thanks

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7176
    • My Best Post
Re: ubuntu Breezy compile error (SVN)
« Reply #4 on: January 14, 2007, 10:29:39 pm »
Recently (the last number of svn updates) I've been getting a compile error in sc_dialog.cpp line 76

Code
wxXmlResource::Get()->Unload(actual);

It says there is no such member as Unload.

My wx-config results are:
Code
[email protected]:~/devel/trunk/src$ wx-config --libs
-pthread   -lwx_gtk2u_xrc-2.6 -lwx_gtk2u_qa-2.6 -lwx_gtk2u_html-2.6 -lwx_gtk2u_adv-2.6 -lwx_gtk2u_core-2.6 -lwx_baseu_xml-2.6 -lwx_baseu_net-2.6 -lwx_baseu-2.6

[email protected]:~/devel/trunk/src$ wx-config --cflags
-I/usr/lib/wx/include/gtk2-unicode-release-2.6 -I/usr/include/wx-2.6 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DNO_GCC_PRAGMA


Any suggestions?

From the 2.6_branch include/wx/xrcxmlres.h

#if wxABI_VERSION > 20601
    // Unload resource from the given XML file (wildcards not allowed)
    bool Unload(const wxString& filename);
#endif // wxABI_VERSION

Verify that you are running 2.6.2 version or higher and no code is SETTING wxABI_VERSION by defining it yourself to
wxABI_VERSION=20602
or
wxABI_VERSION=20603

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7176
    • My Best Post
Re: ubuntu Breezy compile error (SVN)
« Reply #5 on: January 14, 2007, 10:47:49 pm »
RE: recent svn compilations on Ubuntu Breezy

Where does the -include sdk.h on the compiler command come from.

When -include sdk.h occurs in the command line, and the source file also contains #include sdk.h I get a fdopen err and the compilation fails.

I cannot find "-include sdk.h" in the .cbp file. Where can I turn it off?

thanks


Look at "Scripted wizard" Compiler "Other options".
Tim S
« Last Edit: January 14, 2007, 10:50:11 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2303
Re: ubuntu Breezy compile error (SVN)
« Reply #6 on: January 14, 2007, 11:16:19 pm »
RE: recent svn compilations on Ubuntu Breezy

Where does the -include sdk.h on the compiler command come from.

When -include sdk.h occurs in the command line, and the source file also contains #include sdk.h I get a fdopen err and the compilation fails.

I cannot find "-include sdk.h" in the .cbp file. Where can I turn it off?

thanks


Look at "Scripted wizard" Compiler "Other options".
Tim S

Ah, now I see, no wonder my find/grep didnt work.
Code
				<Compiler>
<Add option='-include &quot;sdk.h&quot;' />
<Add directory="sdk" />
<Add directory="sdk/scripting/include" />
<Add directory="sdk/scripting/sqplus" />
</Compiler>



thanks


Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2303
Re: ubuntu Breezy compile error (SVN)
« Reply #7 on: January 14, 2007, 11:34:00 pm »
Recently (the last number of svn updates) I've been getting a compile error in sc_dialog.cpp line 76

Code
wxXmlResource::Get()->Unload(actual);

It says there is no such member as Unload.

My wx-config results are:
Code
[email protected]:~/devel/trunk/src$ wx-config --libs
-pthread   -lwx_gtk2u_xrc-2.6 -lwx_gtk2u_qa-2.6 -lwx_gtk2u_html-2.6 -lwx_gtk2u_adv-2.6 -lwx_gtk2u_core-2.6 -lwx_baseu_xml-2.6 -lwx_baseu_net-2.6 -lwx_baseu-2.6

[email protected]:~/devel/trunk/src$ wx-config --cflags
-I/usr/lib/wx/include/gtk2-unicode-release-2.6 -I/usr/include/wx-2.6 -DGTK_NO_CHECK_CASTS -D__WXGTK__ -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_LARGEFILE_SOURCE=1 -DNO_GCC_PRAGMA


Any suggestions?

From the 2.6_branch include/wx/xrcxmlres.h

#if wxABI_VERSION > 20601
    // Unload resource from the given XML file (wildcards not allowed)
    bool Unload(const wxString& filename);
#endif // wxABI_VERSION

Verify that you are running 2.6.2 version or higher and no code is SETTING wxABI_VERSION by defining it yourself to
wxABI_VERSION=20602
or
wxABI_VERSION=20603

Tim S



How can I force my Ubuntu Breezy 5.10 synaptic to find 2.6.3? It only shows 2.6.1

thanks

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7176
    • My Best Post
Re: ubuntu Breezy compile error (SVN)
« Reply #8 on: January 15, 2007, 06:03:23 am »
Have you verified that you are looking at all the packages in the multiverse using APM.

The universe only goes to 2.6.1 according to the website.

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4315
    • Code::Blocks IDE
Re: ubuntu Breezy compile error (SVN)
« Reply #9 on: January 15, 2007, 09:51:12 am »
When -include sdk.h occurs in the command line, and the source file also contains #include sdk.h I get a fdopen err and the compilation fails.

This is clearly an indication that you are #including the PCH inside a header file. Never do that. The PCH must only be included inside source files (*.c, *.cpp, etc)...
Be patient!
This bug will be fixed soon...

Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2303
Re: ubuntu Breezy compile error (SVN)
« Reply #10 on: January 15, 2007, 02:53:27 pm »
When -include sdk.h occurs in the command line, and the source file also contains #include sdk.h I get a fdopen err and the compilation fails.

This is clearly an indication that you are #including the PCH inside a header file. Never do that. The PCH must only be included inside source files (*.c, *.cpp, etc)...

I haven't included anything. I'm just compiling CodeBlocks-Unix.cbp on Ubuntu 5.10 Breezy. I've never modified the .cbp or the file. It came with the svn update process.

This does not happen when compiling CB with andLinux Ubuntu Edgy.
I'll try to recreate the situation, but it may be too late. In the attempt to get Breezy to apply wx2.6.3 I hosed the system.

 
« Last Edit: January 15, 2007, 03:08:02 pm by Pecan »

Offline Pecan

  • Plugin developer
  • Lives here!
  • ****
  • Posts: 2303
Re: ubuntu Breezy compile error (SVN)
« Reply #11 on: January 16, 2007, 06:13:28 pm »
When -include sdk.h occurs in the command line, and the source file also contains #include sdk.h I get a fdopen err and the compilation fails.

This is clearly an indication that you are #including the PCH inside a header file. Never do that. The PCH must only be included inside source files (*.c, *.cpp, etc)...

I haven't included anything. I'm just compiling CodeBlocks-Unix.cbp on Ubuntu 5.10 Breezy. I've never modified the .cbp or the file. It came with the svn update process.

This does not happen when compiling CB with andLinux Ubuntu Edgy.
I'll try to recreate the situation, but it may be too late. In the attempt to get Breezy to apply wx2.6.3 I hosed the system.

 

Apt-Get hosed my Ubuntu 5.10 Breezy system, so I just updated to Dapper.
I then compiled CodeBlocks with no problems. The only difference I can find is that a new compiler was used; gcc 4.0.3

However, I have not found a way to get wxGTK 2.6.3. Synaptics still only offers  2.6.1 .

« Last Edit: January 16, 2007, 06:15:53 pm by Pecan »

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7176
    • My Best Post
Re: ubuntu Breezy compile error (SVN)
« Reply #12 on: January 16, 2007, 06:45:44 pm »
Quote
mandrav
* Added preprocessor guard around call to wxXmlResource::Unload() in sc_dialog.cpp.
From svn log

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org